Bug 874276 - 'Reclaim space' button never goes active on guided space reclaim dialog when installing in German, French, possibly others (18.24, 18.26)
'Reclaim space' button never goes active on guided space reclaim dialog when ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-11-07 15:29 EST by Adam Williamson
Modified: 2012-11-14 04:50 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.27-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 04:50:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-11-07 15:29:10 EST
When using the guided dialog for reclaiming disk space in German or French - with 18.24 or 18.26, live or netinst - the 'total reclaimed space' count never changes when you change the action for a partition, and the 'Reclaim space' button never goes un-grey. So you can't possibly get out of the dialog successfully, you can only cancel. Confirmed with an 18.26 test live image and TC7 live and netinst, in French and German. In English it works fine. The fix for https://bugzilla.redhat.com/show_bug.cgi?id=869375 may not have been translation-safe?

Proposing as a blocker as this is kind of a showstopper for non-English installs, though you can use custom partitioning as a 'workaround'.
Comment 1 Chris Lumens 2012-11-07 15:35:42 EST
Does updates=http://clumens.fedorapeople.org/874276.img fix this?  This image only contains this change.
Comment 2 Adam Williamson 2012-11-07 15:43:43 EST
Yup! certainly does. Can get out of the dialog, and proceed with install.
Comment 3 Fedora Update System 2012-11-07 22:33:55 EST
anaconda-18.27-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.27-1.fc18
Comment 4 Fedora Update System 2012-11-08 22:21:06 EST
Package anaconda-18.27-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.27-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.27-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-10 14:36:01 EST
Package anaconda-18.28-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.28-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.28-1.fc18
then log in and leave karma (feedback).
Comment 6 Kamil Páral 2012-11-12 08:26:37 EST
Confirmed fixed with Beta TC8 netinst and Live.
Comment 7 Kamil Páral 2012-11-14 04:50:46 EST
anaconda-18.28-1.fc18 is stable now, closing.

Note You need to log in before you can comment on or make changes to this bug.